Bug 165167 - IllegalStateException: Cannot obtain JSPColoringData instance for file C:/Documents and Settings/tester/My Documents/NetBeansProjects/WebApplication1/web/index.jsp
IllegalStateException: Cannot obtain JSPColoringData instance for file C:/Doc...
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: JSP
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Marek Fukala
issues@javaee
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
: ERGONOMICS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 13:30 UTC by Oleg Khokhlov
Modified: 2009-08-11 10:56 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.95 KB, text/plain)
2009-05-14 13:30 UTC, Oleg Khokhlov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Khokhlov 2009-05-14 13:30:07 UTC
Build: NetBeans IDE Dev (Build 200905140201)
VM: Java HotSpot(TM) Client VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Windows XP, 5.1, x86

User Comments:
ovk: - start new IDE;
- Open File - jsp file from existing project;
-> JavaEE activated, file opened, exception happened;



Stacktrace: 
org.netbeans.modules.parsing.spi.ParseException
        at org.netbeans.modules.parsing.impl.TaskProcessor.runUserTask(TaskProcessor.java:191)
        at org.netbeans.modules.parsing.api.ParserManager.parse(ParserManager.java:99)
        at org.netbeans.modules.csl.hints.infrastructure.SuggestionsTask.run(SuggestionsTask.java:111)
        at org.netbeans.modules.csl.hints.infrastructure.SuggestionsTask.run(SuggestionsTask.java:74)
        at org.netbeans.modules.parsing.impl.TaskProcessor$CompilationJob.run(TaskProcessor.java:668)
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441)
Comment 1 Oleg Khokhlov 2009-05-14 13:30:13 UTC
Created attachment 82125 [details]
stacktrace
Comment 2 Marek Fukala 2009-05-20 12:21:59 UTC
ergonomics issue
Comment 3 Jaroslav Tulach 2009-05-20 16:55:28 UTC
Can you be so kind and explain to me why you believe this is related to enabling of modules? All I can see that your 
code throws an exception. But that is completely unrelated to ergonomics. What exactly you believe is wrong?
Comment 4 Marek Fukala 2009-08-11 10:56:31 UTC
already fixed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo